
#language: ru

@TransportLogistics

Функционал: 008. TransportLogistics. Создание заказов на перемещение

Сценарий: 008.1. TransportLogistics. Создание заказов на перемещение

	Дано Я подключаюсь под "Создание заказов на перемещение"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.008. Транспортная логистика"
	Дано я удаляю объекты "Документы.к2ЗаказНаПеремещение" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов на перемещение из файла'
	И я меняю значение переключателя 'Вариант загрузки' на 'Из внешнего файла'
	И я перехожу к закладке "Страница вариант загрузка из файла"
	Тогда открылось окно 'Загрузка заказов на перемещение из файла'
	И Я буду читать файл "Заказы на перемещение.csv"
	И я нажимаю на кнопку 'Загрузить таблицу из файла...'
	И я жду открытия окна 'Заказы на перемещение' в течение 60 секунд
	Тогда таблица "Список" содержит строки по шаблону:
		| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Этап' | 'Подразделение'                 | 'Комментарий' |
		| 'Склад готовой продукции' | '05.04.2021' | '05.04.2021' | '05.04.2021' | 'Создан'    | 'Сырная ГП'   | 'Организация' | ''     | 'Подразделение приемки заказов' | 'Самовывоз 1' |
		| 'Склад готовой продукции' | '05.04.2021' | '05.04.2021' | '05.04.2021' | 'Создан'    | 'Сырная ГП'   | 'Организация' | ''     | 'Подразделение приемки заказов' | 'Самовывоз 2' |
		| 'Склад готовой продукции' | '05.04.2021' | '05.04.2021' | '05.04.2021' | 'Создан'    | 'Куриная ГП'  | 'Организация' | ''     | 'Подразделение приемки заказов' | 'Самовывоз 3' |
		| 'Куриная ГП'              | '05.04.2021' | '05.04.2021' | '05.04.2021' | 'Создан'    | 'Сырная ГП'   | 'Организация' | ''     | 'Подразделение приемки заказов' | 'Самовывоз 4' |
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 008.2. TransportLogistics. Изменение типа доставки в заказе на перемещение

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ на перемещение (создание)'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Куриная ГП'
	Тогда элемент формы с именем "ТипДоставки" стал равен 'Самовывоз'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Сырная ГП'
	Тогда элемент формы с именем "ТипДоставки" стал равен 'Доставка сторонней транспортной компанией'
	И Я закрываю окно 'Заказ на перемещение (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 008.3. Завершение

	И я закрываю сеанс TESTCLIENT